Bug 486052 - (CVE-2009-0577) CVE-2009-0577 cups-CVE-2008-3640.patch has been corrupted.
CVE-2009-0577 cups-CVE-2008-3640.patch has been corrupted.
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=bugzilla,public=20090217,repor...
:
Depends On: 486101
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 20:47 EST by keishi.sonoda
Modified: 2009-06-04 10:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 13:44:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description keishi.sonoda 2009-02-17 20:47:10 EST
Description of problem:
rpmbuild cannot apply cups-CVE-2008-3640.patch due to the patch corruption.

Version-Release number of selected component (if applicable):
cups-1.1.17-13.3.54.src.rpm
cups-1.1.17-13.3.55.src.rpm

How reproducible:
always

Steps to Reproduce:
1. rpm -i cups-1.1.17-13.3.54.src.rpm
2. rpmbuild -bp /usr/src/redhat/SPEC/cups.spec
  
Actual results:
error: File /usr/src/redhat/SOURCES/cups-CVE-2008-3640.patch is smaller than 4 bytes

Expected results:
Unpack the sources and apply the patch.

Additional info:
Comment 1 Josh Bressers 2009-02-18 07:34:15 EST
We will assign this issue CVE-2009-0577.
Comment 3 Mark J. Cox (Product Security) 2009-02-19 03:18:49 EST
Thank you for reporting this issue.  We will produce a security update to address this for Red Hat Enterprise Linux 3.  Note that Red Hat Enterprise Linux 4 and 5 already contain the correct fix for CVE-2008-3640 and do not need to be updated.
Comment 4 Red Hat Product Security 2009-02-19 13:44:41 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2009-0308.html

Note You need to log in before you can comment on or make changes to this bug.